<template>
  <div class="simple-table">
    <table class="table" border="2">
        <thead>
          <tr role="row">
            <th v-for="column in columns" :key="column.type">
              <span v-html="column.name"></span>
              <span class="tip">{{column.tip}}</span>
            </th>
          </tr>
        </thead>
        <tbody>
          <tr role="row" v-for="(data, index) in store" :key="index">
            <td v-for="(column, index) in columns" :key="index" v-html="getData(data, column.type)"></td>
          </tr>
        </tbody>
      </table>
  </div>
</template>

<script>
export default {
  name: 'simple-table',
  props: {
    columns: {
      type: Array,
      required: true
    },
    store: {
      type: Array,
      required: true
    }
  },
  methods: {
    getData (data, type) {
      return data[type] ? data[type] : '-'
    }
  }
}
</script>

<style scoped>
.table {
  width: 100%;
  margin: 5px 0px 5px;
  text-align: center;
  font-size: 12px;
  color: #676767;
  border: 2px solid #ffffff;
  border-collapse: collapse;
}
.table th {
  background: #2D2D2D;
  color: #ffffff;
}
.table td {
  background: #F3F3F3;
}
.table tr {
  height: 30px;
}
.table .tip {
  color: #bcbcbc;
}
</style>
